KIE.AI
old-model
  • All Model
  • old-model
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
Support
old-model
  • All Model
  • old-model
old-model
  • All Model
  • old-model
Suno API4o Image APIVeo3.1 APIRunway API
Flux Kontext API
Suno API4o Image APIVeo3.1 APIRunway API
Flux Kontext API
  1. Aleph
  • Runway API Quickstart
  • AI Video Generation Callbacks
  • AI Video Extension Callbacks
  • Aleph
    • Aleph Video Generation Callbacks
    • Generate Aleph Video
      POST
    • Get Aleph Video Details
      GET
  • Generate AI Video
    POST
  • Get AI Video Details
    GET
  • Extend AI Video
    POST
  1. Aleph

Get Aleph Video Details

GET
/api/v1/aleph/record-info
Retrieving comprehensive information about Runway Alpeh video generation tasks

Overview#

Retrieve detailed information about your Runway Alpeh video generation tasks, including current status, generation parameters, video URLs, and error details. This endpoint is essential for monitoring task progress and accessing completed videos.
Use this endpoint to poll task status if you're not using callbacks, or to retrieve detailed information for completed tasks.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200
application/json
Request successful
Bodyapplication/json

🔴500Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.kie.ai/api/v1/aleph/record-info?taskId=ee603959-debb-48d1-98c4-a6d1c717eba6' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Successful Example
{
    "code": 200,
    "msg": "success",
    "data": {
        "taskId": "ee603959-debb-48d1-98c4-a6d1c717eba6",
        "paramJson": "{\"prompt\":\"A majestic eagle soaring through mountain clouds at sunset\",\"videoUrl\":\"https://example.com/input-video.mp4\"}",
        "response": {
            "taskId": "ee603959-debb-48d1-98c4-a6d1c717eba6",
            "resultVideoUrl": "https://file.com/k/xxxxxxx.mp4",
            "resultImageUrl": "https://file.com/m/xxxxxxxx.png"
        },
        "completeTime": "2023-08-15T14:30:45Z",
        "createTime": "2023-08-15T14:25:00Z",
        "successFlag": 1,
        "errorCode": 0,
        "errorMessage": ""
    }
}
Previous
Generate Aleph Video
Next
Generate AI Video
Built with